DROP TABLE out_email_offset;
CREATE TABLE out_email_offset (
    prev_offset integer,
    prev_time varchar(10)
);
INSERT INTO out_email_offset VALUES (0,'12345');


DROP TABLE in_email_offset;
CREATE TABLE in_email_offset (
    prev_offset integer,
    prev_time varchar(10)
);
INSERT INTO in_email_offset VALUES (0,'12345');


DROP TABLE proxy_offset;
CREATE TABLE proxy_offset (
    prev_offset integer,
    prev_time varchar(10)
);
INSERT INTO proxy_offset VALUES (0,'12345');


DROP TABLE ip_machine;
CREATE TABLE ip_machine (
    ip_address char(4),
    machine_name varchar(100)
);


DROP TABLE proxy_log;
CREATE TABLE proxy_log (
    time number(10),
    doc_size integer,
    log_tag char(20),
    elapsed_time integer,
    url_requested varchar(1000),
    user_name char(100),
    content_type char(1),
    client_address char(4)
);


DROP TABLE out_email_log;
CREATE TABLE out_email_log (
    succ_or_fail char(1),
    end_time number(10),
    st_time number(10),
    who_login varchar(30),
    who_mc char(4),
    whom_login varchar(30),
    whom_mc char(100),
    mail_size integer,
    num_deferrals smallint,
    check (succ_or_fail in ('S','F'))
);


DROP TABLE in_email_log;
CREATE TABLE in_email_log (
    succ_or_fail char(1),
    end_time number(10),
    st_time number(10),
    who_login varchar(30),
    who_mc char(100),
    whom_login varchar(30),
    whom_mc char(4),
    mail_size integer,
    num_deferrals smallint,
    check (succ_or_fail in ('S','F'))
);


DROP TABLE userinfo;
CREATE TABLE userinfo (
    loginid varchar(30),
    passwd varchar(10),
    perms char(1)
);

INSERT INTO userinfo VALUES ('ashish','ashish','U');
INSERT INTO userinfo VALUES ('aranyak','aranyak','U');
INSERT INTO userinfo VALUES ('pajay','pajay','U');
INSERT INTO userinfo VALUES ('saurabh','saurabh','U');
INSERT INTO userinfo VALUES ('root','root','R');
INSERT INTO userinfo VALUES ('nari','nari','U');
